summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author sombriks2010-12-28 21:40:25 +0100
committer Robby Workman2010-12-29 08:08:49 +0100
commit106d20277e76a3cc1507cbd8d3e214870ff17692 (patch)
treebcb9f8c9d90fd7e692987f051b1f41a3213362df
parent317811518be63939f7637b715ee95adcb28f7e2c (diff)
downloadslackbuilds-106d20277e76a3cc1507cbd8d3e214870ff17692.tar.gz
network/httptunnel: Added (tunnel over http)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--network/httptunnel/README6
-rw-r--r--network/httptunnel/httptunnel.SlackBuild83
-rw-r--r--network/httptunnel/httptunnel.info10
-rw-r--r--network/httptunnel/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/network/httptunnel/README b/network/httptunnel/README
new file mode 100644
index 0000000000..c6a77aa14b
--- /dev/null
+++ b/network/httptunnel/README
@@ -0,0 +1,6 @@
+httptunnel creates a bidirectional virtual connection tunnelled in
+HTTP requests, and the HTTP requests can be sent via an HTTP proxy
+if so desired. This can be useful for users behind restrictive
+firewalls. If WWW access is allowed through a HTTP proxy, it's
+possible to use httptunnel and e.g. telnet or PPP to connect to
+another computer outside the firewall.
diff --git a/network/httptunnel/httptunnel.SlackBuild b/network/httptunnel/httptunnel.SlackBuild
new file mode 100644
index 0000000000..78c71b201a
--- /dev/null
+++ b/network/httptunnel/httptunnel.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for <httptunnel>
+
+# Written by (sombriks) (sombriks at gmail dot com)
+
+PRGNAM=httptunnel
+VERSION=${VERSION:-3.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog DISCLAIMER FAQ HACKING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/httptunnel/httptunnel.info b/network/httptunnel/httptunnel.info
new file mode 100644
index 0000000000..e0820c2f62
--- /dev/null
+++ b/network/httptunnel/httptunnel.info
@@ -0,0 +1,10 @@
+PRGNAM="httptunnel"
+VERSION="3.0.5"
+HOMEPAGE="http://www.nocrew.org/software/httptunnel.html"
+DOWNLOAD="http://www.nocrew.org/software/httptunnel/httptunnel-3.0.5.tar.gz"
+MD5SUM="2a710f377c82ab4eb201458f7b9f99c5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="sombriks"
+EMAIL="sombriks@gmail.com"
+APPROVED="rworkman"
diff --git a/network/httptunnel/slack-desc b/network/httptunnel/slack-desc
new file mode 100644
index 0000000000..b8217fcc91
--- /dev/null
+++ b/network/httptunnel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+httptunnel: httptunnel (tunnel over http)
+httptunnel:
+httptunnel: httptunnel creates a bidirectional virtual connection tunnelled in
+httptunnel: HTTP requests, and the HTTP requests can be sent via an HTTP proxy
+httptunnel: if so desired. This can be useful for users behind restrictive
+httptunnel: firewalls. If WWW access is allowed through a HTTP proxy, it's
+httptunnel: possible to use httptunnel and e.g. telnet or PPP to connect to
+httptunnel: another computer outside the firewall.
+httptunnel:
+httptunnel:
+httptunnel: